<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/bootstrap :: bootstrap">
    <meta charset="UTF-8">
    <title>View Books</title>
</head>
<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <div class="container">
        <div th:if="${book == null}">
            Book not found
        </div>
        <div th:if="${book}">
            <div class="card border-primary mb-3" style="max-width: 18rem;">
                <div th:text="${bookId}"  class="card-header">Id</div>
                <div th:text="${book.title}" class="card-header">Title</div>
                <div class="card-body text-success">
                    <h5 th:text="${book.author}" class="card-title">Author</h5>
                    <p th:text="${book.genre}" class="card-text">Genre</p>
                    <p th:text="${book.date}" class="card-text">Release Date</p>
                </div>
            </div>
        </div>
    </div>

    <footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
